Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network190.96.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
190.96.0.0
Broadcast address
190.99.255.255
First usable
190.96.0.1
Last usable
190.99.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
B (default /16)
As numbers
Hex BE600000 · Integer 3193962496 to 3194224639
Reverse DNS zones
96.190.in-addr.arpa
97.190.in-addr.arpa
98.190.in-addr.arpa
99.190.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111110.01100000.00000000.00000000190.96.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network10111110.01100000.00000000.00000000190.96.0.0
Broadcast10111110.01100011.11111111.11111111190.99.255.255
Split into smaller subnets/21

190.96.0.0/14 makes 128 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1190.96.0.0/21190.96.0.1 to 190.96.7.254190.96.7.2552,046
2190.96.8.0/21190.96.8.1 to 190.96.15.254190.96.15.2552,046
3190.96.16.0/21190.96.16.1 to 190.96.23.254190.96.23.2552,046
4190.96.24.0/21190.96.24.1 to 190.96.31.254190.96.31.2552,046
5190.96.32.0/21190.96.32.1 to 190.96.39.254190.96.39.2552,046
6190.96.40.0/21190.96.40.1 to 190.96.47.254190.96.47.2552,046
7190.96.48.0/21190.96.48.1 to 190.96.55.254190.96.55.2552,046
8190.96.56.0/21190.96.56.1 to 190.96.63.254190.96.63.2552,046
9190.96.64.0/21190.96.64.1 to 190.96.71.254190.96.71.2552,046
10190.96.72.0/21190.96.72.1 to 190.96.79.254190.96.79.2552,046
11190.96.80.0/21190.96.80.1 to 190.96.87.254190.96.87.2552,046
12190.96.88.0/21190.96.88.1 to 190.96.95.254190.96.95.2552,046
13190.96.96.0/21190.96.96.1 to 190.96.103.254190.96.103.2552,046
14190.96.104.0/21190.96.104.1 to 190.96.111.254190.96.111.2552,046
15190.96.112.0/21190.96.112.1 to 190.96.119.254190.96.119.2552,046
16190.96.120.0/21190.96.120.1 to 190.96.127.254190.96.127.2552,046
17190.96.128.0/21190.96.128.1 to 190.96.135.254190.96.135.2552,046
18190.96.136.0/21190.96.136.1 to 190.96.143.254190.96.143.2552,046
19190.96.144.0/21190.96.144.1 to 190.96.151.254190.96.151.2552,046
20190.96.152.0/21190.96.152.1 to 190.96.159.254190.96.159.2552,046
21190.96.160.0/21190.96.160.1 to 190.96.167.254190.96.167.2552,046
22190.96.168.0/21190.96.168.1 to 190.96.175.254190.96.175.2552,046
23190.96.176.0/21190.96.176.1 to 190.96.183.254190.96.183.2552,046
24190.96.184.0/21190.96.184.1 to 190.96.191.254190.96.191.2552,046
25190.96.192.0/21190.96.192.1 to 190.96.199.254190.96.199.2552,046
26190.96.200.0/21190.96.200.1 to 190.96.207.254190.96.207.2552,046
27190.96.208.0/21190.96.208.1 to 190.96.215.254190.96.215.2552,046
28190.96.216.0/21190.96.216.1 to 190.96.223.254190.96.223.2552,046
29190.96.224.0/21190.96.224.1 to 190.96.231.254190.96.231.2552,046
30190.96.232.0/21190.96.232.1 to 190.96.239.254190.96.239.2552,046
31190.96.240.0/21190.96.240.1 to 190.96.247.254190.96.247.2552,046
32190.96.248.0/21190.96.248.1 to 190.96.255.254190.96.255.2552,046
33190.97.0.0/21190.97.0.1 to 190.97.7.254190.97.7.2552,046
34190.97.8.0/21190.97.8.1 to 190.97.15.254190.97.15.2552,046
35190.97.16.0/21190.97.16.1 to 190.97.23.254190.97.23.2552,046
36190.97.24.0/21190.97.24.1 to 190.97.31.254190.97.31.2552,046
37190.97.32.0/21190.97.32.1 to 190.97.39.254190.97.39.2552,046
38190.97.40.0/21190.97.40.1 to 190.97.47.254190.97.47.2552,046
39190.97.48.0/21190.97.48.1 to 190.97.55.254190.97.55.2552,046
40190.97.56.0/21190.97.56.1 to 190.97.63.254190.97.63.2552,046
41190.97.64.0/21190.97.64.1 to 190.97.71.254190.97.71.2552,046
42190.97.72.0/21190.97.72.1 to 190.97.79.254190.97.79.2552,046
43190.97.80.0/21190.97.80.1 to 190.97.87.254190.97.87.2552,046
44190.97.88.0/21190.97.88.1 to 190.97.95.254190.97.95.2552,046
45190.97.96.0/21190.97.96.1 to 190.97.103.254190.97.103.2552,046
46190.97.104.0/21190.97.104.1 to 190.97.111.254190.97.111.2552,046
47190.97.112.0/21190.97.112.1 to 190.97.119.254190.97.119.2552,046
48190.97.120.0/21190.97.120.1 to 190.97.127.254190.97.127.2552,046
49190.97.128.0/21190.97.128.1 to 190.97.135.254190.97.135.2552,046
50190.97.136.0/21190.97.136.1 to 190.97.143.254190.97.143.2552,046
51190.97.144.0/21190.97.144.1 to 190.97.151.254190.97.151.2552,046
52190.97.152.0/21190.97.152.1 to 190.97.159.254190.97.159.2552,046
53190.97.160.0/21190.97.160.1 to 190.97.167.254190.97.167.2552,046
54190.97.168.0/21190.97.168.1 to 190.97.175.254190.97.175.2552,046
55190.97.176.0/21190.97.176.1 to 190.97.183.254190.97.183.2552,046
56190.97.184.0/21190.97.184.1 to 190.97.191.254190.97.191.2552,046
57190.97.192.0/21190.97.192.1 to 190.97.199.254190.97.199.2552,046
58190.97.200.0/21190.97.200.1 to 190.97.207.254190.97.207.2552,046
59190.97.208.0/21190.97.208.1 to 190.97.215.254190.97.215.2552,046
60190.97.216.0/21190.97.216.1 to 190.97.223.254190.97.223.2552,046
61190.97.224.0/21190.97.224.1 to 190.97.231.254190.97.231.2552,046
62190.97.232.0/21190.97.232.1 to 190.97.239.254190.97.239.2552,046
63190.97.240.0/21190.97.240.1 to 190.97.247.254190.97.247.2552,046
64190.97.248.0/21190.97.248.1 to 190.97.255.254190.97.255.2552,046
65190.98.0.0/21190.98.0.1 to 190.98.7.254190.98.7.2552,046
66190.98.8.0/21190.98.8.1 to 190.98.15.254190.98.15.2552,046
67190.98.16.0/21190.98.16.1 to 190.98.23.254190.98.23.2552,046
68190.98.24.0/21190.98.24.1 to 190.98.31.254190.98.31.2552,046
69190.98.32.0/21190.98.32.1 to 190.98.39.254190.98.39.2552,046
70190.98.40.0/21190.98.40.1 to 190.98.47.254190.98.47.2552,046
71190.98.48.0/21190.98.48.1 to 190.98.55.254190.98.55.2552,046
72190.98.56.0/21190.98.56.1 to 190.98.63.254190.98.63.2552,046
73190.98.64.0/21190.98.64.1 to 190.98.71.254190.98.71.2552,046
74190.98.72.0/21190.98.72.1 to 190.98.79.254190.98.79.2552,046
75190.98.80.0/21190.98.80.1 to 190.98.87.254190.98.87.2552,046
76190.98.88.0/21190.98.88.1 to 190.98.95.254190.98.95.2552,046
77190.98.96.0/21190.98.96.1 to 190.98.103.254190.98.103.2552,046
78190.98.104.0/21190.98.104.1 to 190.98.111.254190.98.111.2552,046
79190.98.112.0/21190.98.112.1 to 190.98.119.254190.98.119.2552,046
80190.98.120.0/21190.98.120.1 to 190.98.127.254190.98.127.2552,046
81190.98.128.0/21190.98.128.1 to 190.98.135.254190.98.135.2552,046
82190.98.136.0/21190.98.136.1 to 190.98.143.254190.98.143.2552,046
83190.98.144.0/21190.98.144.1 to 190.98.151.254190.98.151.2552,046
84190.98.152.0/21190.98.152.1 to 190.98.159.254190.98.159.2552,046
85190.98.160.0/21190.98.160.1 to 190.98.167.254190.98.167.2552,046
86190.98.168.0/21190.98.168.1 to 190.98.175.254190.98.175.2552,046
87190.98.176.0/21190.98.176.1 to 190.98.183.254190.98.183.2552,046
88190.98.184.0/21190.98.184.1 to 190.98.191.254190.98.191.2552,046
89190.98.192.0/21190.98.192.1 to 190.98.199.254190.98.199.2552,046
90190.98.200.0/21190.98.200.1 to 190.98.207.254190.98.207.2552,046
91190.98.208.0/21190.98.208.1 to 190.98.215.254190.98.215.2552,046
92190.98.216.0/21190.98.216.1 to 190.98.223.254190.98.223.2552,046
93190.98.224.0/21190.98.224.1 to 190.98.231.254190.98.231.2552,046
94190.98.232.0/21190.98.232.1 to 190.98.239.254190.98.239.2552,046
95190.98.240.0/21190.98.240.1 to 190.98.247.254190.98.247.2552,046
96190.98.248.0/21190.98.248.1 to 190.98.255.254190.98.255.2552,046
97190.99.0.0/21190.99.0.1 to 190.99.7.254190.99.7.2552,046
98190.99.8.0/21190.99.8.1 to 190.99.15.254190.99.15.2552,046
99190.99.16.0/21190.99.16.1 to 190.99.23.254190.99.23.2552,046
100190.99.24.0/21190.99.24.1 to 190.99.31.254190.99.31.2552,046
101190.99.32.0/21190.99.32.1 to 190.99.39.254190.99.39.2552,046
102190.99.40.0/21190.99.40.1 to 190.99.47.254190.99.47.2552,046
103190.99.48.0/21190.99.48.1 to 190.99.55.254190.99.55.2552,046
104190.99.56.0/21190.99.56.1 to 190.99.63.254190.99.63.2552,046
105190.99.64.0/21190.99.64.1 to 190.99.71.254190.99.71.2552,046
106190.99.72.0/21190.99.72.1 to 190.99.79.254190.99.79.2552,046
107190.99.80.0/21190.99.80.1 to 190.99.87.254190.99.87.2552,046
108190.99.88.0/21190.99.88.1 to 190.99.95.254190.99.95.2552,046
109190.99.96.0/21190.99.96.1 to 190.99.103.254190.99.103.2552,046
110190.99.104.0/21190.99.104.1 to 190.99.111.254190.99.111.2552,046
111190.99.112.0/21190.99.112.1 to 190.99.119.254190.99.119.2552,046
112190.99.120.0/21190.99.120.1 to 190.99.127.254190.99.127.2552,046
113190.99.128.0/21190.99.128.1 to 190.99.135.254190.99.135.2552,046
114190.99.136.0/21190.99.136.1 to 190.99.143.254190.99.143.2552,046
115190.99.144.0/21190.99.144.1 to 190.99.151.254190.99.151.2552,046
116190.99.152.0/21190.99.152.1 to 190.99.159.254190.99.159.2552,046
117190.99.160.0/21190.99.160.1 to 190.99.167.254190.99.167.2552,046
118190.99.168.0/21190.99.168.1 to 190.99.175.254190.99.175.2552,046
119190.99.176.0/21190.99.176.1 to 190.99.183.254190.99.183.2552,046
120190.99.184.0/21190.99.184.1 to 190.99.191.254190.99.191.2552,046
121190.99.192.0/21190.99.192.1 to 190.99.199.254190.99.199.2552,046
122190.99.200.0/21190.99.200.1 to 190.99.207.254190.99.207.2552,046
123190.99.208.0/21190.99.208.1 to 190.99.215.254190.99.215.2552,046
124190.99.216.0/21190.99.216.1 to 190.99.223.254190.99.223.2552,046
125190.99.224.0/21190.99.224.1 to 190.99.231.254190.99.231.2552,046
126190.99.232.0/21190.99.232.1 to 190.99.239.254190.99.239.2552,046
127190.99.240.0/21190.99.240.1 to 190.99.247.254190.99.247.2552,046
128190.99.248.0/21190.99.248.1 to 190.99.255.254190.99.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses